#!/bin/bash -l
#SBATCH -o ./PARAPROBE.Spatstat.SimID.23.STDOUT.%j
#SBATCH -e ./PARAPROBE.Spatstat.SimID.23.STDERR.%j
#SBATCH -D ./
#SBATCH -J al2
#SBATCH --partition=p.talos
#SBATCH --nodes=80
#SBATCH --ntasks-per-node=1

#SBATCH --cpus-per-task=40

#SBATCH --mail-user=m.kuehbach@mpie.de
#SBATCH 24:00:00
#submits to p.talos make jobs currently by default to run exclusively on resources
module load cmake
module load intel
module load impi
module load mkl
module load boost
module list
if [ ! -z $SLURM_CPUS_PER_TASK ] ; then
	export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK
else
	export OMP_NUM_THREADS=1
fi
export OMP_PLACES=cores
echo "OpenMP NUM THREADS env option"
echo $OMP_NUM_THREADS
echo "OpenMP PLACES env option"
echo $OMP_PLACES
ulimit -s unlimited
echo "ulimit env option"
ulimit
echo $SLURM_JOB_NODELIST
echo $SLURM_JOB_NUM_NODES
echo "job $SLURM_JOB_NAME with job id $SLURM_JOB_ID is running on $SLURM_JOB_NUM_NODES node(s): $SLURM_JOB_NODELIST"


#this is the toolchain
#srun paraprobe_synthetic_itl 2 PARAPROBE.Synthetic.SimID.2.xml
#srun paraprobe_ranger_itl 2 PARAPROBE.Ranger.SimID.2.xml
#srun paraprobe_synthetic_itl 20 PARAPROBE.Synthetic.SimID.20.xml
#srun paraprobe_ranger_itl 20 PARAPROBE.Ranger.SimID.20.xml
#srun paraprobe_synthetic_itl 200 PARAPROBE.Synthetic.SimID.200.xml
#srun paraprobe_ranger_itl 200 PARAPROBE.Ranger.SimID.200.xml
#srun paraprobe_synthetic_itl 2000 PARAPROBE.Synthetic.SimID.2000.xml
#srun paraprobe_ranger_itl 2000 PARAPROBE.Ranger.SimID.2000.xml

#srun paraprobe_surfacer_itl 23 PARAPROBE.Surfacer.SimID.2.xml
srun paraprobe_spatstat_itl 23 PARAPROBE.Spatstat.SimID.23.xml
#srun paraprobe_araullo_itl 210000 PARAPROBE.Araullo.SimID.210000.xml
#srun paraprobe_araullo_itl 410000 PARAPROBE.Araullo.SimID.410000.xml
#srun paraprobe_araullo_itl 810000 PARAPROBE.Araullo.SimID.810000.xml

